---
title: mask-mode
slug: Web/CSS/mask-mode
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-mode</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets whether the mask reference defined by {{cssxref("mask-image")}} is treated as a luminance or alpha mask.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
mask-mode: alpha;
mask-mode: luminance;
mask-mode: match-source;

/* Multiple values */
mask-mode: alpha, match-source;

/* Global values */
mask-mode: inherit;
mask-mode: initial;
mask-mode: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>mask-mode</code> property is specified as one or more of the keyword values listed below, separated by commas.</p>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>alpha</code></dt>
	<dd>This keyword indicates that the transparency (alpha channel) values of the mask layer image should be used as the mask values.</dd>
	<dt><code>luminance</code></dt>
	<dd>This keyword indicates that the luminance values of the mask layer image should be used as the mask values.</dd>
	<dt><code>match-source</code></dt>
	<dd>
	<p>If the {{cssxref("mask-image")}} property is of type <code>&lt;mask-source&gt;</code>, the luminance values of the mask layer image should be used as the mask values.</p>

	<p>If it is of type {{cssxref("&lt;image&gt;")}}, the alpha values of the mask layer image should be used as the mask values.</p>
	</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_alpha_mask_mode">Using alpha mask mode</h3>

<p>{{EmbedGHLiveSample("css-examples/masking/mask-clip.html", '100%', 760)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("CSS Masks", "#the-mask-mode", "mask-mode")}}</td>
			<td>{{Spec2("CSS Masks")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-mode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li><a href="https://css-tricks.com/clipping-masking-css/">Clipping and Masking in CSS</a></li>
</ul>
